Update a team automation
curl --request PUT \
--url https://app.felan.ai/api/v1/teams/{teamSlug}/automations/{automationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"prompt": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repo_filters": {},
"triggers": [
{
"kind": "<string>",
"cron_expression": "0 9 * * *",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezone": "UTC",
"enabled": true
}
]
}
'import requests
url = "https://app.felan.ai/api/v1/teams/{teamSlug}/automations/{automationId}"
payload = {
"name": "<string>",
"prompt": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repo_filters": {},
"triggers": [
{
"kind": "<string>",
"cron_expression": "0 9 * * *",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezone": "UTC",
"enabled": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
prompt: '<string>',
environment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
repo_filters: {},
triggers: [
{
kind: '<string>',
cron_expression: '0 9 * * *',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
timezone: 'UTC',
enabled: true
}
]
})
};
fetch('https://app.felan.ai/api/v1/teams/{teamSlug}/automations/{automationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"prompt": "<string>",
"timezone": "<string>",
"total_runs": 123,
"repo_filters": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"triggers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"cron_expression": "<string>",
"timezone": "<string>",
"total_runs": 123,
"automation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"lease_until": "2023-11-07T05:31:56Z",
"lease_owner": "<string>"
}
],
"automation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cron_expression": "<string>",
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"event_provider": "<string>",
"event_type": "<string>",
"event_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_filter": [
{
"jsonPath": "$.data.ref",
"value": "<string>"
}
],
"lease_until": "2023-11-07T05:31:56Z",
"lease_owner": "<string>",
"last_error": "<string>",
"last_error_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Automations
Update a team automation
Alias of PATCH for compatibility.
PUT
/
teams
/
{teamSlug}
/
automations
/
{automationId}
Update a team automation
Authorizations
Team API key. Current keys retain the bzy_team_ compatibility prefix.
Path Parameters
Felan team slug shown in dashboard URLs and Team Settings
Minimum string length:
1Team automation group ID
Body
application/json
Response
Automation updated
Show child attributes
Show child attributes
⌘I
